using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Order_Details_ExtendedAccess  : Daolite.BusinessAccess
	{

		public  Order_Details_ExtendedAccess() : base("Order_Details_Extended", NwindConfiger.GetConfiger())
		{
		}


		public Order_Details_Extended[] Query()
		{
			return base.Query<Order_Details_Extended>();
		}


		public Order_Details_Extended[] QueryRelated()
		{
			return base.QueryRelated<Order_Details_Extended>();
		}


		public Order_Details_Extended QueryOne(bool isRelated)
		{
			return base.QueryOne<Order_Details_Extended>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
